#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library that performs asynchronous DNS operations
Summary(pl.UTF-8):	Biblioteka do wykonywania asynchronicznych zapytań DNS
Name:		c-ares
Version:	1.28.1
Release:	1%{?tld}
License:	MIT
Group:		Libraries
#Source0Download: https://c-ares.org/
Source0:	https://c-ares.org/download/%{name}-%{version}.tar.gz
# Source0-md5:	2b0f0df7491538a0d10f3310e13d4b5f
Patch0:		%{name}-resolv.conf-reading-is-not-fatal.patch
URL:		https://c-ares.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.9.6
# for tests
#BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:2
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%description -l pl.UTF-8
c-ares jest napisaną w C biblioteką do asynchronicznego wykonywania
zapytań DNS. c-ares jest to fork biblioteki 'ares' napisanej przez
Grega Hudsona w MIT.

%package devel
Summary:	Development files for c-ares library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki c-ares
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for c-ares library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki c-ares.

%package static
Summary:	Static c-ares library
Summary(pl.UTF-8):	Statyczna biblioteka c-ares
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static c-ares library.

%description static -l pl.UTF-8
Statyczna biblioteka c-ares.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	--disable-tests \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies + obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcares.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGES LICENSE.md NEWS README.cares README.md RELEASE-NOTES.md TODO
%attr(755,root,root) %{_libdir}/libcares.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcares.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcares.so
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_dns_record.h
%{_includedir}/ares_nameser.h
%{_includedir}/ares_rules.h
%{_includedir}/ares_version.h
%{_mandir}/man3/ares_*.3*
%{_pkgconfigdir}/libcares.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcares.a
%endif
%changelog
* Tue Apr 02 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/c-ares.git;a=log;h=master

* Mon Apr 01 2024 Jakub Bogusz <qboosh@pld-linux.org> a2383a5
- updated to 1.28.1

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> 1c92226
- up to 1.26.0

* Sun Dec 17 2023 Jan Palus <atler@pld-linux.org> 219d660
- up to 1.24.0

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> d9bf016
- up to 1.23.0

* Mon Nov 20 2023 Jan Palus <atler@pld-linux.org> 68b1eab
- up to 1.22.1

* Tue Nov 14 2023 Jan Palus <atler@pld-linux.org> b5a72a9
- add static_libs bcond

* Tue Nov 14 2023 Jan Palus <atler@pld-linux.org> 8ffc069
- up to 1.22.0

* Fri Oct 27 2023 Jan Palus <atler@pld-linux.org> 6625f4e
- up to 1.21.0

* Sun Oct 08 2023 Jan Palus <atler@pld-linux.org> a1d517e
- up to 1.20.1

* Mon May 22 2023 Jan Palus <atler@pld-linux.org> bf749df
- up to 1.19.1 (fixes CVE-2023-32067 CVE-2023-31147 CVE-2023-31130 CVE-2023-31124)

* Sun Jan 29 2023 Jan Palus <atler@pld-linux.org> 132123e
- up to 1.19.0

* Wed Oct 27 2021 Jan Palus <atler@pld-linux.org> 72ccac9
- up to 1.18.1

* Mon Oct 25 2021 Jan Palus <atler@pld-linux.org> 01c3598
- updated required autoconf version

* Mon Oct 25 2021 Jan Palus <atler@pld-linux.org> f701d35
- up to 1.18.0

* Wed Aug 11 2021 Jan Palus <atler@pld-linux.org> 9a225e6
- up to 1.17.2

* Tue Nov 24 2020 Jakub Bogusz <qboosh@pld-linux.org> 0572552
- drop .la file, updated autotools deps; release 2

* Mon Nov 23 2020 Jan Palus <atler@pld-linux.org> ce141f8
- up to 1.17.1 (security fixes)

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 232d558
- updated to 1.16.1

* Sun Jul 29 2018 Jakub Bogusz <qboosh@pld-linux.org> 9efa608
- updated to 1.14.0 (fixes CVE-2017-1000381)

* Wed Mar 29 2017 Jakub Bogusz <qboosh@pld-linux.org> 1c79e49
- updated to 1.12.0 (fixes CVE-2016-5180)

